Bug 493500 - NFSD doesn't report short write count to NFS client
NFSD doesn't report short write count to NFS client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 20:19 EDT by Victor Anderson
Modified: 2009-10-06 08:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-06 08:38:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Anderson 2009-04-01 20:19:31 EDT
Description of problem:
If a filesystem being written to via NFS returns a short write count
(as opposed to an error) to nfsd, nfsd treats that as a success for
the entire write, rather than the short count that actually succeeded.

Version-Release number of selected component (if applicable):
 2.6.27.15-170.2.24.fc10.i686.PAE

Additional info:
This is fixed upstream with the following commit

http://git.linux-nfs.org/?p=bfields/linux.git;a=commit;h=192a3cb6bc1f12a0af55bcf2fbb6e923d48a5b58
Comment 1 Chuck Ebbert 2009-04-02 16:48:05 EDT
Patch is still not upstream in 2.6.30...
Comment 2 Victor Anderson 2009-04-09 09:45:21 EDT
It just made it into the latest RC candidate 2.6.30-rc1
Comment 3 Chuck Ebbert 2009-04-10 20:04:10 EDT
commit 31dec2538e45e9fff2007ea1f4c6bae9f78db724
Comment 4 Charlie Bennett 2009-05-20 10:27:09 EDT
Excellent.  Can we have this in a F10 kernel?

The patch applies smoothly against the 2.6.29.3-60 in testing...

Thanks
Comment 5 Chuck Ebbert 2009-06-15 10:55:54 EDT
Patch applied in 2.6.29.5-180.rc1
Comment 6 Chuck Ebbert 2009-06-15 21:45:09 EDT
Previous comment was about the fix going into F11. Added to kernel-2.6.29.5-82.fc10
Comment 7 Chuck Ebbert 2009-09-04 22:53:31 EDT
Now also in the F-10 2.6.27.32-170.2.87.rc1 kernel.

Note You need to log in before you can comment on or make changes to this bug.